svn commit: r295196 - head/usr.sbin/bsdconfig/share

Devin Teske dteske at FreeBSD.org
Wed Feb 3 03:55:09 UTC 2016


Author: dteske
Date: Wed Feb  3 03:55:08 2016
New Revision: 295196
URL: https://svnweb.freebsd.org/changeset/base/295196

Log:
  Remove SIG prefix from trapped signals
  
  Makes traps functional if running under shells/dash

Modified:
  head/usr.sbin/bsdconfig/share/common.subr

Modified: head/usr.sbin/bsdconfig/share/common.subr
==============================================================================
--- head/usr.sbin/bsdconfig/share/common.subr	Wed Feb  3 03:03:04 2016	(r295195)
+++ head/usr.sbin/bsdconfig/share/common.subr	Wed Feb  3 03:55:08 2016	(r295196)
@@ -1,7 +1,7 @@
 if [ ! "$_COMMON_SUBR" ]; then _COMMON_SUBR=1
 #
 # Copyright (c) 2012 Ron McDowell
-# Copyright (c) 2012-2015 Devin Teske
+# Copyright (c) 2012-2016 Devin Teske
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -1015,10 +1015,9 @@ f_count_ifs()
 #
 # Trap signals so we can recover gracefully
 #
-trap 'f_interrupt' SIGINT
-trap 'f_die' SIGTERM SIGPIPE SIGXCPU SIGXFSZ \
-             SIGFPE SIGTRAP SIGABRT SIGSEGV
-trap '' SIGALRM SIGPROF SIGUSR1 SIGUSR2 SIGHUP SIGVTALRM
+trap 'f_interrupt' INT
+trap 'f_die' TERM PIPE XCPU XFSZ FPE TRAP ABRT SEGV
+trap '' ALRM PROF USR1 USR2 HUP VTALRM
 
 #
 # Clone terminal stdout/stderr so we can redirect to it from within sub-shells


More information about the svn-src-all mailing list